---
title: Dexed Manual
header-includes: <script src="https://cdnjs.cloudflare.com/ajax/libs/anchor-js/4.2.2/anchor.min.js"></script>
---

![](img/coedit_kde4_thumb.png)

This documentation is based on Dexed version 3.8.9-dev.
Screenshots can be outdated but descriptions are up to date.

## First steps

_Install and configure Dexed._

* [Build](build.html), warning: not relevant for dexed 3.8.0 to 3.8.4. See this [old instructions instead](https://gitlab.com/basile.b/dexed/-/blob/v3.8.4/docs/build.md).
* [Setup](setup.html)

## Features

_General features or concepts that are not wrapped in a widget_

* [Completion deamon](features_dcd.html)
* [Projects](features_projects.html)
* [Runnable modules](features_runnables.html)
* [Symbolic strings](features_symbolic_strings.html)

## Menu reference

_Description of each entry in the main menu. May redirect to a specific widget page._

* [File](menu_file.html)
* [Debugger](widgets_gdb_commander.html)
* [Project](features_projects.html)
* [Project groups](widgets_project_groups.html)

## Options categories

_Full description of Dexed options. May redirect to a specific widget page._

* [Application](options_application.html)
* [Code metrics](options_code_metrics.html)
* [Compiler paths](options_compilers_paths.html)
* [Debugger](widgets_gdb_commander.html)
* [DUB build](options_dub_build.html)
* [Editor](widgets_editor.html)
* [Editor pages](options_editor_pages.html)
* [Messages](widgets_messages.html)
* [Mini explorer](widgets_mini_explorer.html)
* [Profile viewer](widgets_profile_viewer.html)
* [Runnable modules](features_runnables.html)
* [Shortcuts editor](options_shortcuts_editor.html)
* [Symbol list](widgets_symbol_list.html)
* [Terminal](widgets_terminal.html)
* [Todo list](widgets_todo_list.html)

## Widgets

_Description of each widget._

* [About box](widgets_about.html)
* [DFMT commander](widgets_dfmt_commander.html)
* [DEXED project editor](widgets_dexed_project_editor.html)
* [DUB project editor](widgets_dub_project_editor.html)
* [Custom tools](widgets_custom_tools.html)
* [Editor](widgets_editor.html)
* [GDB commander](widgets_gdb_commander.html)
* [Library manager](widgets_library_manager.html)
* [Mini explorer](widgets_mini_explorer.html)
* [Messages](widgets_messages.html)
* [Options editor](widgets_options_editor.html)
* [Profile viewer](widgets_profile_viewer.html)
* [Project groups](widgets_project_groups.html)
* [Project inspector](widgets_project_inspector.html)
* [Process input](widgets_process_input.html)
* [Search](widgets_search.html)
* [Symbol list](widgets_symbol_list.html)
* [Terminal](widgets_terminal.html)
* [Todo list](widgets_todo_list.html)

<script>anchors.add();</script>
